org.jacoco.ant

## Class DumpTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.jacoco.ant.DumpTask

All Implemented Interfaces:
  Cloneable

    public class DumpTask
    extends org.apache.tools.ant.Task

Ant task for remotely controlling an application that is running with the tcpserver output mode

### Field Summary

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`DumpTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `execute()`
`void` `setAddress(String address)` IP Address or hostname to connect to.
`void` `setAppend(boolean append)` `true` if the destination file it to be appended to.
`void` `setDestfile(File destfile)` Sets the location of the execution data file to write.
`void` `setDump(boolean dump)` Sets whether execution data should be downloaded from the remote host.
`void` `setPort(int port)` Port number to connect to.
`void` `setReset(boolean reset)` Sets whether a reset command should be sent after the execution data has been dumped.
`void` `setRetryCount(int retryCount)` Number of retries which the goal will attempt to establish a connection.

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DumpTask

    public DumpTask()

### Method Detail

#### setDestfile

    public void setDestfile(File destfile)

Sets the location of the execution data file to write. This parameter is required when dump is `true`. Default is `jacoco.exec`

Parameters:
  `destfile` - Location to write execution data to

#### setAddress

    public void setAddress(String address)

IP Address or hostname to connect to. Defaults to `localhost`

Parameters:
  `address` - IP Address or hostname to connect to

#### setPort

    public void setPort(int port)

Port number to connect to. Default is `6300`

Parameters:
  `port` - Port to connect to

#### setRetryCount

    public void setRetryCount(int retryCount)

Number of retries which the goal will attempt to establish a connection. This can be used to wait until the target JVM is successfully launched.

Parameters:
  `retryCount` - number of retries

#### setAppend

    public void setAppend(boolean append)

`true` if the destination file it to be appended to. `false` if the file is to be overwritten

Parameters:
  `append` - `true` if the destination file should be appended to

#### setDump

    public void setDump(boolean dump)

Sets whether execution data should be downloaded from the remote host. Defaults to `true`

Parameters:
  `dump` - `true` to download execution data

#### setReset

    public void setReset(boolean reset)

Sets whether a reset command should be sent after the execution data has been dumped. Defaults to `false`

Parameters:
  `reset` - `true` to reset execution data

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `org.apache.tools.ant.Task`
Throws:
  `org.apache.tools.ant.BuildException`